package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hlf
 * @date 2023/4/27 16:00
 * 文件说明：本部部门业绩指标考核内容
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDeptPlanContent extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 业务主键
	 */
	private String businessPlanId;

	/**
	 * 部门主键
	 */
	private String deptId;

	/**
	 * 部门名称
	 */
	private String deptName;

	/**
	 * 指标主键
	 */
	private String indicatorId;

	/**
	 * 指标名称
	 */
	private String indicatorName;

	/**
	 * 指标项主键
	 */
	private String indicatorItemId;

	/**
	 * 指标项名称
	 */
	private String indicatorItemName;

	/**
	 * 值
	 */
	private String targetValue;

	/**
	 * 审核状态(未开始-1 待审核0 已完成1)
	 */
	private String auditStatus;

	/**
	 * 修改标记
	 */
	@TableField(exist = false)
	private Boolean updateMark;

	/**
	 * 指标类别(指标计划 指标结果)
	 */
	@TableField(exist = false)
	private String indicatorCategory;

}
