package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.common.utils.StringUtils;
import com.ims.eval.dao.EvaluationDeptRatingMapper;
import com.ims.eval.entity.EvaluationDeptBusinessPlan;
import com.ims.eval.entity.EvaluationDeptRating;
import com.ims.eval.service.IEvaluationDeptRatingService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/4/28 16:16
 * 文件说明：
 */
@Service
public class EvaluationDeptRatingServiceImpl extends ServiceImpl<EvaluationDeptRatingMapper, EvaluationDeptRating> implements IEvaluationDeptRatingService {

	@Override
	public IPage<EvaluationDeptRating> listPage(Integer pageNum, Integer pageSize, String deptName, String annual) {
		if (null == pageNum || null == pageSize) {
			throw new RuntimeException("分页参数为空");
		}
		//构造分页构造器
		Page<EvaluationDeptRating> page = new Page<>(pageNum, pageSize);
		return baseMapper.selectListPage(page, deptName, annual);
	}

	@Override
	public List<EvaluationDeptRating> listAll(String deptName, String annual) {
		QueryWrapper<EvaluationDeptRating> qw = new QueryWrapper<>();

		if (StringUtils.isNotEmpty(deptName)) {
			qw.lambda().eq(EvaluationDeptRating::getDeptName, deptName);
		}

		if (StringUtils.isNotEmpty(annual)) {
			qw.lambda().eq(EvaluationDeptRating::getAnnual, annual);
		}

		return baseMapper.selectList(qw);
	}

}
